<div class="modal fade" id="containerDeleteModal-{{ container.id }}" tabindex="-1" aria-labelledby="containerDeleteModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
        <h1 class="modal-title fs-5" id="containerDeleteModalLabel">Delete container</h1>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        Are you sure you want to delete container <strong>{{ container }}</strong>?
        {% if container.port and container.port == container.application.port %}
          <div class="mt-2"><strong>Note:</strong> Your app ({{ container.application.descriptive_name }}) is exposing this container's port to external requests. Removing this container will result in no port being exposed for the app. You will have to set a new port for external requests to access the app.</div>
        {% endif %}
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">No</button>
        <a href="{% url 'delete_container' identifier=application.identifier container_id=container.id %}" class="btn btn-danger">Yes</a>
      </div>
    </div>
  </div>
</div>